Bug 893 - LDAP config: samba.schema must come after nis.schema
LDAP config: samba.schema must come after nis.schema
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Docs
3.0.0
All All
: P3 normal
: none
Assigned To: Jelmer Vernooij
http://us1.samba.org/samba/docs/man/p...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-16 10:40 UTC by Troy Engel
Modified: 2005-08-24 10:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Troy Engel 2003-12-16 10:40:54 UTC
RedHat9
openldap-servers-2.0.27-8 (stock)
samba-3.0.1-2 (from samba.org)

Ref: http://us1.samba.org/samba/docs/man/passdb.html#id2908879

Under the section on configuring slapd.conf, the docs read:
include /etc/openldap/schema/samba.schema
include /etc/openldap/schema/nis.schema

However, samba.schema requires attribute gidNumber which exists in nis.schema;
ergo nis.schema needs to be included first:
# slapindex -f slapd.conf
/etc/openldap/schema/samba.schema: line 324: AttributeType not found: "gidNumber"

so:
include /etc/openldap/schema/nis.schema
include /etc/openldap/schema/samba.schema
Comment 1 Jelmer Vernooij 2004-01-02 08:24:28 UTC
Fixed in CVS. 
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:27:01 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.